Create a new schedule
Creates a new schedule for the specified server
Creates a new schedule for the specified server
Authorization
bearerAuth AuthorizationBearer <token>
Enter your API token in the format: Bearer {token}
In: header
Path Parameters
server*string
Server UUID
Format
uuidRequest Body
application/json
Schedule creation data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/client/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules" \ -H "Content-Type: application/json" \ -d '{ "name": "Daily Restart", "minute": "0", "hour": "6" }'{
"object": "server_schedule",
"attributes": {
"id": 0,
"name": "string",
"cron": {
"minute": "string",
"hour": "string",
"day_of_month": "string",
"month": "string",
"day_of_week": "string"
},
"is_active": true,
"is_processing": true,
"only_when_online": true,
"last_run_at": "2019-08-24T14:15:22Z",
"next_run_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}Empty
Empty
Empty
Empty
Empty